Subject: bug#63300: 29.0.90; Tramp keeps customizing variables on every connection

From: Michael Albinus <[email-masked]>
Date: Sun, 04 Jun 2023 10:59:58 +0200

Jimmy Yuen Ho Wong <[email-masked]> writes:

Hi,

> Whenever I install a package or do anything that turns on Tramp such as
> sudoing, Tramp writes to my `custom-file-path` the variables
> `connection-local-criteria-alist` and
> `connection-local-profile-alist`. This is undesirable as it prevents the
> customs files from being versioned effectively and shared across
> multiple Emacs installations across machines. Furthermore, no package
> should write to the customs file without the user's explicitly
> approval. Defcustoms should be used for customizations, not caching.

This sounds like the same problem as bug#62106. This was fixed in the
emacs-29 branch as commit

--8<---------------cut here---------------start------------->8---
commit 36ade0704e1829fd27970e8d478cf4b52deed517
Author: Michael Albinus <[email-masked]>
Date:   Mon Mar 13 18:02:36 2023 +0100

    Fix connection-local variables settings
--8<---------------cut here---------------end--------------->8---

Tramp itself calls customize-save-variable only in case you use a
multi-hop method, and you have set tramp-save-ad-hoc-proxies to a
non-nil value. This behavior has been implemented with commit

--8<---------------cut here---------------start------------->8---
commit 53dc7bec8303584772e0922acb64aa6e1625b556
Author: Michael Albinus <[email-masked]>
Date:   Mon May 29 11:22:54 2023 +0200

    Fix regression when saving tramp-default-proxies-alist (Do not merge)
--8<---------------cut here---------------end--------------->8---

Could you, please, check?

Best regards, Michael.